### Method

# Clutter Actor get_effect

#### Declaration [src]

    ClutterEffect*
    clutter_actor_get_effect (
      ClutterActor* self,
      const gchar* name
    )

#### Description [src]

Retrieves the `ClutterEffect` with the given name in the list of effects applied to `self`.

#### Parameters

`name`

  Type: `const gchar*`

  The name of the effect to retrieve.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ClutterEffect`

A `ClutterEffect` for the given name, or `NULL`. The returned `ClutterEffect` is owned by the actor and it should not be unreferenced directly.

The returned data is owned by the instance.
The return value can be `NULL`.